package com.bonus.canteen.core.customer.model.applet.vo;

import com.bonus.canteen.core.common.encrypt.LeNiuDecryptDataProcess;
import com.bonus.canteen.core.common.encrypt.LeNiuDecryptField;
import com.bonus.canteen.core.common.utils.SysUtil;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel("登录返回")
@LeNiuDecryptDataProcess
public class AppletLoginVO {
   @ApiModelProperty("人员id")
   private Long custId;
   @ApiModelProperty("openid")
   private String openid;
   @ApiModelProperty("userId")
   private String userId;
   @ApiModelProperty("人员编号")
   private String custNum;
   @ApiModelProperty("人员姓名")
   private String custName;
   @ApiModelProperty("人员限制id")
   private Integer custLimitId;
   @ApiModelProperty("用户标志（是否订阅该公众号标识,0未关注，1已关注）")
   private Integer subscribe;
   @ApiModelProperty("账户余额不足多少提醒")
   private Integer amountNotify;
   @ApiModelProperty("人员头像地址")
   private String custPhotoUrl;
   @ApiModelProperty("支付宝签约状态")
   private Boolean agreementStatus;
   @ApiModelProperty("手机号")
   @LeNiuDecryptField
   private String mobile;
   @ApiModelProperty("身份证号")
   private String idCard;
   @ApiModelProperty("人员类别")
   private Integer psnType;
   @ApiModelProperty("IOT开通刷脸支持唯一操作流水号")
   private String uniqueId;
   @ApiModelProperty("支付宝-企业码-员工id")
   private String entCodeEmpId;
   @ApiModelProperty("支付宝签约号")
   private String alipayContractNum;

   public String getCustPhotoUrl() {
      return SysUtil.getCutFileUrl(this.custPhotoUrl);
   }

   public Long getCustId() {
      return this.custId;
   }

   public String getOpenid() {
      return this.openid;
   }

   public String getUserId() {
      return this.userId;
   }

   public String getCustNum() {
      return this.custNum;
   }

   public String getCustName() {
      return this.custName;
   }

   public Integer getCustLimitId() {
      return this.custLimitId;
   }

   public Integer getSubscribe() {
      return this.subscribe;
   }

   public Integer getAmountNotify() {
      return this.amountNotify;
   }

   public Boolean getAgreementStatus() {
      return this.agreementStatus;
   }

   public String getMobile() {
      return this.mobile;
   }

   public String getIdCard() {
      return this.idCard;
   }

   public Integer getPsnType() {
      return this.psnType;
   }

   public String getUniqueId() {
      return this.uniqueId;
   }

   public String getEntCodeEmpId() {
      return this.entCodeEmpId;
   }

   public String getAlipayContractNum() {
      return this.alipayContractNum;
   }

   public void setCustId(final Long custId) {
      this.custId = custId;
   }

   public void setOpenid(final String openid) {
      this.openid = openid;
   }

   public void setUserId(final String userId) {
      this.userId = userId;
   }

   public void setCustNum(final String custNum) {
      this.custNum = custNum;
   }

   public void setCustName(final String custName) {
      this.custName = custName;
   }

   public void setCustLimitId(final Integer custLimitId) {
      this.custLimitId = custLimitId;
   }

   public void setSubscribe(final Integer subscribe) {
      this.subscribe = subscribe;
   }

   public void setAmountNotify(final Integer amountNotify) {
      this.amountNotify = amountNotify;
   }

   public void setCustPhotoUrl(final String custPhotoUrl) {
      this.custPhotoUrl = custPhotoUrl;
   }

   public void setAgreementStatus(final Boolean agreementStatus) {
      this.agreementStatus = agreementStatus;
   }

   public void setMobile(final String mobile) {
      this.mobile = mobile;
   }

   public void setIdCard(final String idCard) {
      this.idCard = idCard;
   }

   public void setPsnType(final Integer psnType) {
      this.psnType = psnType;
   }

   public void setUniqueId(final String uniqueId) {
      this.uniqueId = uniqueId;
   }

   public void setEntCodeEmpId(final String entCodeEmpId) {
      this.entCodeEmpId = entCodeEmpId;
   }

   public void setAlipayContractNum(final String alipayContractNum) {
      this.alipayContractNum = alipayContractNum;
   }




}
